function getXMLHTTPRequest() {
var req;
try {
	req = new XMLHttpRequest();
} catch(err1) {
	try {
		req = new ActiveXObject("Msxml2.XMLHTTP");
	} catch (err2) {
		try {
			req = new ActiveXObject("Microsoft.XMLHTTP");
			} catch (err3) {
				req = false;
			}
		}
	}
	return req;
}
///********************************************************************************************************************************************************************
function AgregarDatosPerTareo(){
  //donde se mostrará lo resultados
  var divResultado = document.getElementById('lista_personal');
  
  opcion=document.form1.opcion.value;
  personal=document.form1.personal.value;
  dociden_per=document.form1.dociden_per.value;
  razon_emp=document.form1.razon_emp.value; 
  fecha_ini=document.form1.fecha_ini.value; 
  fecha_fin=document.form1.fecha_fin.value;
  via=document.form1.via.value;
  destino=document.form1.destino.value; 
  
  //stock_medi=Math.round(document.form1.stock.value);
  if(document.form1.dociden_per.value==""){
	  alert("No Ingreso no seleccion al personal");
	  document.form1.personal.focus();
	  return;    
  }else if(document.form1.destino.value=="0"){
	  alert("No Ingreso destino");
	  document.form1.destino.focus();
	  return; 
  }else if(document.form1.fecha_ini.value==""){
	  alert("No Ingreso la fecha de salida");
	  document.form1.fecha_ini.focus();
	  return; 
  }else if(document.form1.fecha_fin.value==""){
	  alert("No Ingreso la fecha de llegada");
	  document.form1.fecha_fin.focus();
	  return;   
  }else{
	  	//contar caracteres if (field.value.length > maxlimit)
		  //instanciamos el objetoAjax
		  ajax=getXMLHTTPRequest();
		  //uso del medoto POST
		  //archivo que realizará la operacion  
		  ajax.open("POST","procesos/p_per_tareo_enviar.php",true);
		  ajax.onreadystatechange=function() {
		  if (ajax.readyState==4) {
			  	if(ajax.status == 200) {
				  //mostrar resultados en esta capa
				  divResultado.innerHTML = ajax.responseText
				  divResultado.style.display="block";
				  //llamar a funcion para limpiar los inputs    
				  LimpiarCampostareo();				  
		  		}
		  }
		  }
		  ajax.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
		  //enviando los valores
		  ajax.send("personal="+personal+"&dociden_per="+dociden_per+"&razon_emp="+razon_emp+"&fecha_ini="+fecha_ini+"&fecha_fin="+fecha_fin+"&via="+via+"&destino="+destino+"&ver="+1)
		
  }
}
function LimpiarCampostareo(){
  document.form1.opcion.value=document.form1.opcion.value;
  document.form1.personal.value="";
  document.form1.dociden_per.value="";
  document.form1.razon_emp.value="";  
  document.form1.peso_per.value="0.0";
  document.form1.peso_eq.value="0.0";    
  document.form1.destino.value=document.form1.destino.value;  
  document.form1.personal.focus();
  }
///********************************************************************************************************************************************************************
function AgregarDatosPer(){
  //donde se mostrará lo resultados
  var divResultado = document.getElementById('lista_personal');
  
  opcion1=document.form1.opcion.value;
  personal1=document.form1.personal.value;
  dociden_per1=document.form1.dociden_per.value;
  razon_emp1=document.form1.razon_emp.value;  
  peso_per1=Math.round(document.form1.peso_per.value); 
  peso_eq1=Math.round(document.form1.peso_eq.value);
  tipo_mpass1=document.form1.tipo_mpass.value;
  ccosto1=document.form1.ccosto.value;  
  origen1=document.form1.origen.value;
  destino1=document.form1.destino.value;
  cod_ruta1=document.form1.cod_ruta.value;
  mat_trans1=document.form1.mat_trans.value;
  //stock_medi=Math.round(document.form1.stock.value);
  if(document.form1.dociden_per.value==""){
	  alert("No Ingreso no seleccion al personal");
	  document.form1.personal.focus();
	  return;  
  }else if(document.form1.origen.value=="0"){
	  alert("No Ingreso el origen");
	  document.form1.origen.focus();
	  return;  
  }else if(document.form1.destino.value=="0"){
	  alert("No Ingreso destino");
	  document.form1.destino.focus();
	  return; 
  }else if(document.form1.peso_per.value==""){
	  alert("No Ingreso el peso del personal");
	  document.form1.peso_per.focus();
	  return; 
  }else if(document.form1.peso_eq.value==""){
	  alert("No Ingreso peso del equipaje");
	  document.form1.peso_eq.focus();
	  return; 
  }else if((document.form1.tipo_mpass.value=="PASAJERO") && (document.form1.ccosto.value=="0")){
	  alert("No ingreso el centro de costo");
	  document.form1.ccosto.focus();
	  return;
  }else if(isNaN(parseFloat(peso_per1))){alert('El Valor que Introducio en peso de pasajero no es Numerico'); document.form1.peso_per.focus(); document.form1.peso_per.select();return; 
  }else if(isNaN(parseFloat(peso_eq1))){alert('El Valor que Introducio en peso de equipaje no es Numerico'); document.form1.peso_eq.focus(); document.form1.peso_eq.select();return; 
  }else{
	  	//contar caracteres if (field.value.length > maxlimit)
		  //instanciamos el objetoAjax
		  ajax=getXMLHTTPRequest();
		  //uso del medoto POST
		  //archivo que realizará la operacion  
		  ajax.open("POST","procesos/p_per_detalle_enviar.php",true);
		  ajax.onreadystatechange=function() {
		  if (ajax.readyState==4) {
			  	if(ajax.status == 200) {
				  //mostrar resultados en esta capa
				  divResultado.innerHTML = ajax.responseText
				  divResultado.style.display="block";
				  //llamar a funcion para limpiar los inputs    
				  LimpiarCampos();
				  AgregarResultPer();
		  		}
		  }
		  }
		  ajax.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
		  //enviando los valores
		  ajax.send("personal="+personal1+"&dociden_per="+dociden_per1+"&razon_emp="+razon_emp1+"&peso_per="+peso_per1+"&peso_eq="+peso_eq1+"&tipo_mpass="+tipo_mpass1+"&ccosto="+ccosto1+"&origen="+origen1+"&destino="+destino1+"&cod_ruta="+cod_ruta1+"&mat_trans="+mat_trans1+"&ver="+1)
		
  }
}
function LimpiarCampos(){
  document.form1.opcion.value=document.form1.opcion.value;
  document.form1.personal.value="";
  document.form1.dociden_per.value="";
  document.form1.razon_emp.value="";  
  document.form1.peso_per.value="0.0";
  document.form1.peso_eq.value="0.0";
  document.form1.tipo_mpass.value=document.form1.tipo_mpass.value;
  document.form1.ccosto.value="0";
  document.form1.origen.value=document.form1.origen.value;
  document.form1.destino.value=document.form1.destino.value;  
  document.form1.personal.focus();
  }
function AgregarResultPer(){
  //donde se mostrará lo resultados
  var divResultadot = document.getElementById('totalpeso');
  var cod_ruta=document.form1.cod_ruta.value;	  	
		  //instanciamos el objetoAjax
		  ajax=getXMLHTTPRequest();
		  //uso del medoto POST
		  //archivo que realizará la operacion  
		  ajax.open("POST","procesos/p_manifiesto_peso.php?cod_ruta="+cod_ruta,true);
		  ajax.onreadystatechange=function() {
		  if (ajax.readyState==4) {
		  //mostrar resultados en esta capa
		  divResultadot.innerHTML = ajax.responseText		    		  
		  }
		  }
		  ajax.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
		  //enviando los valores
		  ajax.send(null)  
}

function DatosDeleteItemPer(clave,id,ruta){
	
  //donde se mostrará lo resultados
  divResultado = document.getElementById('lista_personal');  
  //instanciamos el objetoAjax
  ajax=getXMLHTTPRequest();
  //uso del medoto POST
  //archivo que realizará la operacion  
  ajax.open("POST","procesos/p_borraritem_per.php?clave="+clave+"&id="+id+"&ruta="+ruta,true);
  ajax.onreadystatechange=function() {
  if (ajax.readyState==4) {
  //mostrar resultados en esta capa
  divResultado.innerHTML = ajax.responseText
  AgregarResultPer();
  //llamar a funcion para limpiar los inputs      
  }
  }
  ajax.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
  //enviando los valores
  ajax.send(null)
}
function DatosDeleteItemPerTareo(clave){
	
  //donde se mostrará lo resultados
  divResultado = document.getElementById('lista_personal');  
  //instanciamos el objetoAjax
  ajax=getXMLHTTPRequest();
  //uso del medoto POST
  //archivo que realizará la operacion  
  ajax.open("POST","procesos/p_borraritem_per_tareo.php?clave="+clave,true);
  ajax.onreadystatechange=function() {
  if (ajax.readyState==4) {
  //mostrar resultados en esta capa
  divResultado.innerHTML = ajax.responseText
  AgregarResultPer();
  //llamar a funcion para limpiar los inputs      
  }
  }
  ajax.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
  //enviando los valores
  ajax.send(null)
}
function DatosDeleteItemPer1(clave){
	
  //donde se mostrará lo resultados
  divResultado = document.getElementById('lista_personal');  
  //instanciamos el objetoAjax
  ajax=getXMLHTTPRequest();
  //uso del medoto POST
  //archivo que realizará la operacion  
  ajax.open("POST","procesos/p_borraritem_per.php?clave="+clave,true);
  ajax.onreadystatechange=function() {
  if (ajax.readyState==4) {
  //mostrar resultados en esta capa
  divResultado.innerHTML = ajax.responseText
  //llamar a funcion para limpiar los inputs      
  }
  }
  ajax.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
  //enviando los valores
  ajax.send(null)
}
//********************************************************************************************************************************************
function AgregarDatosPerEdit(){
  //donde se mostrará lo resultados
  divResultado = document.getElementById('lista_personal');
  
  opcion1=document.form1.opcion.value;
  personal1=document.form1.personal.value;
  dociden_per1=document.form1.dociden_per.value;
  razon_emp1=document.form1.razon_emp.value;  
  peso_per1=Math.round(document.form1.peso_per.value); 
  peso_eq1=Math.round(document.form1.peso_eq.value);
  tipo_mpass1=document.form1.tipo_mpass.value;
  ccosto1=document.form1.ccosto.value;  
  origen1=document.form1.origen.value;
  destino1=document.form1.destino.value;
  cod_ruta1=document.form1.cod_ruta.value;
  mat_trans1=document.form1.mat_trans.value;
  via1=document.form1.via.value;
  cod_man1=document.form1.cod_man.value;
  //stock_medi=Math.round(document.form1.stock.value);
  if(document.form1.dociden_per.value==""){
	  alert("No Ingreso no seleccion al personal");
	  document.form1.personal.focus();
	  return;  
  }else if(document.form1.origen.value=="0"){
	  alert("No Ingreso el origen");
	  document.form1.origen.focus();
	  return;  
  }else if(document.form1.destino.value=="0"){
	  alert("No Ingreso destino");
	  document.form1.destino.focus();
	  return; 
  }else if(document.form1.peso_per.value==""){
	  alert("No Ingreso el peso del personal");
	  document.form1.peso_per.focus();
	  return; 
  }else if(document.form1.peso_eq.value==""){
	  alert("No Ingreso peso del equipaje");
	  document.form1.peso_eq.focus();
	  return; 
  }else if((document.form1.tipo_mpass.value=="PASAJERO") && (document.form1.ccosto.value=="0")){
	  alert("No ingreso el centro de costo");
	  document.form1.ccosto.focus();
	  return;
  }else if(isNaN(parseFloat(peso_per1))){alert('El Valor que Introducio en peso de pasajero no es Numerico'); document.form1.peso_per.focus(); document.form1.peso_per.select();return; 
  }else if(isNaN(parseFloat(peso_eq1))){alert('El Valor que Introducio en peso de equipaje no es Numerico'); document.form1.peso_eq.focus(); document.form1.peso_eq.select();return; 
  }else{
	  	//contar caracteres if (field.value.length > maxlimit)
		  //instanciamos el objetoAjax
		  ajax=getXMLHTTPRequest();
		  //uso del medoto POST
		  //archivo que realizará la operacion  
		  ajax.open("POST","procesos/p_per_detalle_editar_enviar.php",true);
		  ajax.onreadystatechange=function() {
		  if (ajax.readyState==4) {
		  //mostrar resultados en esta capa
		  divResultado.innerHTML = ajax.responseText
		  //llamar a funcion para limpiar los inputs    
		  LimpiarCampos1();
		  AgregarResultEditPer();
		  }
		  }
		  ajax.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
		  //enviando los valores
		  ajax.send("personal="+personal1+"&dociden_per="+dociden_per1+"&razon_emp="+razon_emp1+"&peso_per="+peso_per1+"&peso_eq="+peso_eq1+"&tipo_mpass="+tipo_mpass1+"&ccosto="+ccosto1+"&origen="+origen1+"&destino="+destino1+"&cod_ruta="+cod_ruta1+"&mat_trans="+mat_trans1+"&via="+via1+"&cod_man="+cod_man1+"&ver="+1)
		
  }
}
function AgregarResultEditPer(){
  //donde se mostrará lo resultados
  var divResultadot = document.getElementById('totalpeso');
  var cod_ruta=document.form1.cod_ruta.value;	  	
		  //instanciamos el objetoAjax
		  ajax=getXMLHTTPRequest();
		  //uso del medoto POST
		  //archivo que realizará la operacion  
		  ajax.open("POST","procesos/p_manifiesto_peso1.php?cod_ruta="+cod_ruta+"&v="+1,true);
		  ajax.onreadystatechange=function() {
		  if (ajax.readyState==4) {
		  //mostrar resultados en esta capa
		  divResultadot.innerHTML = ajax.responseText		    		  
		  }
		  }
		  ajax.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
		  //enviando los valores
		  ajax.send(null)  
}
function LimpiarCampos1(){
  document.form1.opcion.value=document.form1.opcion.value;
  document.form1.personal.value="";
  document.form1.dociden_per.value="";
  document.form1.razon_emp.value="";  
  document.form1.peso_per.value="0.0";
  document.form1.peso_eq.value="0.0";
  document.form1.tipo_mpass.value=document.form1.tipo_mpass.value;
  document.form1.ccosto.value="0";
  document.form1.origen.value=document.form1.origen.value;
  document.form1.destino.value=document.form1.destino.value;  
  document.form1.personal.focus();
  }
  function DatosDeleteItemPerEdit(clave,id,cod,nummani,via,ruta){
	
  //donde se mostrará lo resultados
  divResultado = document.getElementById('lista_personal');  
  //instanciamos el objetoAjax
  ajax=getXMLHTTPRequest();
  //uso del medoto POST
  //archivo que realizará la operacion  
  ajax.open("POST","procesos/p_borraritem_per_edit.php?clave="+clave+"&id="+id+"&cod="+cod+"&nummani="+nummani+"&via="+via+"&ruta="+ruta,true);
  ajax.onreadystatechange=function() {
  if (ajax.readyState==4) {
  //mostrar resultados en esta capa
  divResultado.innerHTML = ajax.responseText
  divResultado.style.display="block";
  AgregarResultEditPer();       
  }
  }
  ajax.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
  //enviando los valores
  ajax.send(null)
}
function DatosDeleteItemPerEdit1(clave,id,nummani,via,ruta){
	
  //donde se mostrará lo resultados
  divResultado = document.getElementById('lista_personal');  
  //instanciamos el objetoAjax
  ajax=getXMLHTTPRequest();
  //uso del medoto POST
  //archivo que realizará la operacion  
  ajax.open("POST","procesos/p_borraritem_per_edit.php?clave="+clave+"&id="+id+"&nummani="+nummani+"&via="+via+"&ruta="+ruta,true);
  ajax.onreadystatechange=function() {
  if (ajax.readyState==4) {
  //mostrar resultados en esta capa
  divResultado.innerHTML = ajax.responseText;
  divResultado.style.display="block";
  AgregarResultEditPer();
  }
  }
  ajax.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
  //enviando los valores
  ajax.send(null)
}
function DatosDeleteItemPerEdit2(clave,cod,nummani,via,ruta){
	
  //donde se mostrará lo resultados
  divResultado = document.getElementById('lista_personal');  
  //instanciamos el objetoAjax
  ajax=getXMLHTTPRequest();
  //uso del medoto POST
  //archivo que realizará la operacion  
  ajax.open("POST","procesos/p_borraritem_per_edit.php?clave="+clave+"&cod="+cod+"&nummani="+nummani+"&via="+via+"&ruta="+ruta,true);
  ajax.onreadystatechange=function() {
  if (ajax.readyState==4) {
  //mostrar resultados en esta capa
  divResultado.innerHTML = ajax.responseText;
  divResultado.style.display="block";
  AgregarResultEditPer();  
  }
  }
  ajax.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
  //enviando los valores
  ajax.send(null)
}
function DatosDeleteItemPerEdit3(clave,nummani,via,ruta){
	
  //donde se mostrará lo resultados
  divResultado = document.getElementById('lista_personal');  
  //instanciamos el objetoAjax
  ajax=getXMLHTTPRequest();
  //uso del medoto POST
  //archivo que realizará la operacion  
  ajax.open("POST","procesos/p_borraritem_per_edit.php?clave="+clave+"&nummani="+nummani+"&via="+via+"&ruta="+ruta,true);
  ajax.onreadystatechange=function() {
  if (ajax.readyState==4) {
  //mostrar resultados en esta capa
  divResultado.innerHTML = ajax.responseText;
  divResultado.style.display="block";
  AgregarResultEditPer();  
  }
  }
  ajax.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
  //enviando los valores
  ajax.send(null)
}
//********************************************************************************************************************************************
function AgregarDatosCar(){
  //donde se mostrará lo resultados
  divResultado = document.getElementById('lista_carga');
  
  des_w1=document.form1.des_w.value;
  compania1=document.form1.compania.value;
  guia_w1=document.form1.guia_w.value;
  ccosto_w1=document.form1.ccosto_w.value;  
  ttc1=document.form1.ttc.value; 
  tipounidad1=document.form1.tipounidad.value;
  cant_w1=Math.round(document.form1.cant_w.value);
  peso_w1=Math.round(document.form1.peso_w.value);  
  origen_w1=document.form1.origen_w.value;
  destino_w1=document.form1.destino_w.value;
  cod_ruta1=document.form1.cod_ruta.value;
  
  if(document.form1.des_w.value==""){
	  alert("No Ingreso la descripcion de la carga");
	  document.form1.des_w.focus();
	  return;
  }else if(document.form1.compania.value==""){
	  alert("No ingreso la empresa");
	  document.form1.compania.focus();
	  return;
  }else if(document.form1.guia_w.value==""){
	  alert("No Ingreso la guia de remision");
	  document.form1.guia_w.focus();
	  return;  
  }else if(document.form1.ccosto_w.value=="0"){
	  alert("No selecciono el centro de costo");
	  document.form1.ccosto_w.focus();
	  return; 
  }else if(document.form1.cant_w.value==""){
	  alert("No Ingreso la cantidad");
	  document.form1.cant_w.focus();
	  return; 
  }else if(document.form1.peso_w.value==""){
	  alert("No Ingreso peso de la carga");
	  document.form1.peso_w.focus();
	  return; 
  }else if(isNaN(parseInt(cant_w1))){alert('El Valor que Introducio en cantidad no es Numerico'); document.form1.cant_w.focus(); document.form1.cant_w.select();return; 
  }else if(isNaN(parseFloat(peso_w1))){alert('El Valor que Introducio en peso de carga no es Numerico'); document.form1.peso_w.focus(); document.form1.peso_w.select();return; 
  }else{
	  	//contar caracteres if (field.value.length > maxlimit)
		  //instanciamos el objetoAjax
		  ajax=getXMLHTTPRequest();
		  //uso del medoto POST
		  //archivo que realizará la operacion  
		  ajax.open("POST","procesos/p_carga_detalle_enviar.php",true);
		  ajax.onreadystatechange=function() {
		  if (ajax.readyState==4) {
		  //mostrar resultados en esta capa
		  divResultado.innerHTML = ajax.responseText
		  //llamar a funcion para limpiar los inputs    
		  LimpiarCamposCar();
		  AgregarResultCar();
		  }
		  }
		  ajax.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
		  //enviando los valores
		  ajax.send("des_w="+des_w1+"&compania="+compania1+"&guia_w="+guia_w1+"&ccosto_w="+ccosto_w1+"&ttc="+ttc1+"&tipounidad="+tipounidad1+"&cant_w="+cant_w1+"&peso_w="+peso_w1+"&origen_w="+origen_w1+"&destino_w="+destino_w1+"&cod_ruta="+cod_ruta1)
		
  }
}
function AgregarResultCar(){
  //donde se mostrará lo resultados
  var divResultadot = document.getElementById('totalpeso');
  var cod_ruta=document.form1.cod_ruta.value;	  	
		  //instanciamos el objetoAjax
		  ajax=getXMLHTTPRequest();
		  //uso del medoto POST
		  //archivo que realizará la operacion  
		  ajax.open("POST","procesos/p_manifiesto_peso.php?cod_ruta="+cod_ruta,true);
		  ajax.onreadystatechange=function() {
		  if (ajax.readyState==4) {
		  //mostrar resultados en esta capa
		  divResultadot.innerHTML = ajax.responseText		    		  
		  }
		  }
		  ajax.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
		  //enviando los valores
		  ajax.send(null)  
}
function LimpiarCamposCar(){
  document.form1.des_w.value="";
  document.form1.compania.value="";
  document.form1.guia_w.value="";
  document.form1.ccosto_w.value="0";  
  document.form1.cant_w.value="0";
  document.form1.peso_w.value="0.00"; 
  document.form1.origen_w.value=document.form1.origen_w.value;
  document.form1.destino_w.value=document.form1.destino_w.value;
  document.form1.des_w.focus();
  }
function DatosDeleteItemCar(clave,id,ruta){
	
  //donde se mostrará lo resultados
  divResultado = document.getElementById('lista_carga');  
  //instanciamos el objetoAjax
  ajax=getXMLHTTPRequest();
  //uso del medoto POST
  //archivo que realizará la operacion  
  ajax.open("POST","procesos/p_borraritem_carga.php?clave="+clave+"&id="+id+"&ruta="+ruta,true);
  ajax.onreadystatechange=function() {
  if (ajax.readyState==4) {
  //mostrar resultados en esta capa
  divResultado.innerHTML = ajax.responseText
  AgregarResultCar();
  //llamar a funcion para limpiar los inputs      
  }
  }
  ajax.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
  //enviando los valores
  ajax.send(null)
}
//********************************************************************************************************************************************
function AgregarDatosCarEdit(){
  //donde se mostrará lo resultados
  divResultado = document.getElementById('lista_carga');
  
  des_w1=document.form1.des_w.value;
  compania1=document.form1.compania.value;
  guia_w1=document.form1.guia_w.value;
  ccosto_w1=document.form1.ccosto_w.value;  
  ttc1=document.form1.ttc.value; 
  tipounidad1=document.form1.tipounidad.value;
  cant_w1=Math.round(document.form1.cant_w.value);
  peso_w1=Math.round(document.form1.peso_w.value);  
  origen_w1=document.form1.origen_w.value;
  destino_w1=document.form1.destino_w.value;
  via1=document.form1.via.value;
  cod_man1=document.form1.cod_man.value;
  cod_ruta1=document.form1.cod_ruta.value;
  
  if(document.form1.des_w.value==""){
	  alert("No Ingreso la descripcion de la carga");
	  document.form1.des_w.focus();
	  return;
  }else if(document.form1.compania.value==""){
	  alert("No ingreso la empresa");
	  document.form1.compania.focus();
	  return;
  }else if(document.form1.guia_w.value==""){
	  alert("No Ingreso la guia de remision");
	  document.form1.guia_w.focus();
	  return;  
  }else if(document.form1.ccosto_w.value=="0"){
	  alert("No selecciono el centro de costo");
	  document.form1.ccosto_w.focus();
	  return; 
  }else if(document.form1.cant_w.value==""){
	  alert("No Ingreso la cantidad");
	  document.form1.cant_w.focus();
	  return; 
  }else if(document.form1.peso_w.value==""){
	  alert("No Ingreso peso de la carga");
	  document.form1.peso_w.focus();
	  return; 
  }else if(isNaN(parseInt(cant_w1))){alert('El Valor que Introducio en cantidad no es Numerico'); document.form1.cant_w.focus(); document.form1.cant_w.select();return; 
  }else if(isNaN(parseFloat(peso_w1))){alert('El Valor que Introducio en peso de carga no es Numerico'); document.form1.peso_w.focus(); document.form1.peso_w.select();return; 
  }else{
	  	//contar caracteres if (field.value.length > maxlimit)
		  //instanciamos el objetoAjax
		  ajax=getXMLHTTPRequest();
		  //uso del medoto POST
		  //archivo que realizará la operacion  
		  ajax.open("POST","procesos/p_carga_detalle_editar_enviar.php",true);
		  ajax.onreadystatechange=function() {
		  if (ajax.readyState==4) {
		  //mostrar resultados en esta capa
		  divResultado.innerHTML = ajax.responseText
		  //llamar a funcion para limpiar los inputs    
		  LimpiarCamposCar1();
		  AgregarResultEditCar();
		  }
		  }
		  ajax.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
		  //enviando los valores
		  ajax.send("des_w="+des_w1+"&compania="+compania1+"&guia_w="+guia_w1+"&ccosto_w="+ccosto_w1+"&ttc="+ttc1+"&tipounidad="+tipounidad1+"&cant_w="+cant_w1+"&peso_w="+peso_w1+"&origen_w="+origen_w1+"&destino_w="+destino_w1+"&via="+via1+"&cod_man="+cod_man1+"&cod_ruta="+cod_ruta1)
		
  }
}
function AgregarResultEditCar(){
  //donde se mostrará lo resultados
  var divResultadot = document.getElementById('totalpeso');
  var cod_ruta=document.form1.cod_ruta.value;	  	
		  //instanciamos el objetoAjax
		  ajax=getXMLHTTPRequest();
		  //uso del medoto POST
		  //archivo que realizará la operacion  
		  ajax.open("POST","procesos/p_manifiesto_peso1.php?cod_ruta="+cod_ruta+"&v="+1,true);
		  ajax.onreadystatechange=function() {
		  if (ajax.readyState==4) {
		  //mostrar resultados en esta capa
		  divResultadot.innerHTML = ajax.responseText		    		  
		  }
		  }
		  ajax.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
		  //enviando los valores
		  ajax.send(null)  
}
function LimpiarCamposCar1(){
  document.form1.des_w.value="";
  document.form1.compania.value="";
  document.form1.guia_w.value="";
  document.form1.ccosto_w.value="0";  
  document.form1.cant_w.value="0";
  document.form1.peso_w.value="0.00"; 
  document.form1.origen_w.value=document.form1.origen_w.value;
  document.form1.destino_w.value=document.form1.destino_w.value;
  document.form1.des_w.focus();
  }
  function DatosDeleteItemCarEdit(clave,cod,via,nummani,ruta,id){
	
  //donde se mostrará lo resultados
  divResultado = document.getElementById('lista_carga');  
  //instanciamos el objetoAjax
  ajax=getXMLHTTPRequest();
  //uso del medoto POST
  //archivo que realizará la operacion  
  ajax.open("POST","procesos/p_borraritem_carga_edit.php?clave="+clave+"&cod="+cod+"&via="+via+"&nummani="+nummani+"&ruta="+ruta+"&id="+id,true);
  ajax.onreadystatechange=function() {
  if (ajax.readyState==4) {
  //mostrar resultados en esta capa
  divResultado.innerHTML = ajax.responseText
  AgregarResultEditCar();
  //llamar a funcion para limpiar los inputs      
  }
  }
  ajax.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
  //enviando los valores
  ajax.send(null)
}
function DatosDeleteItemCarEdit1(clave,via,nummani,ruta,id){
	
  //donde se mostrará lo resultados
  divResultado = document.getElementById('lista_carga');  
  //instanciamos el objetoAjax
  ajax=getXMLHTTPRequest();
  //uso del medoto POST
  //archivo que realizará la operacion  
  ajax.open("POST","procesos/p_borraritem_carga_edit.php?clave="+clave+"&via="+via+"&nummani="+nummani+"&ruta="+ruta+"&id="+id,true);
  ajax.onreadystatechange=function() {
  if (ajax.readyState==4) {
  //mostrar resultados en esta capa
  divResultado.innerHTML = ajax.responseText
  AgregarResultEditCar();
  //llamar a funcion para limpiar los inputs      
  }
  }
  ajax.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
  //enviando los valores
  ajax.send(null)
}
//********************************************************************************************************************************************
function enviarDatosGrabarMan(){
  //donde se mostrará lo resultados
  divResultado = document.getElementById('lugar_mensaje');
  
  cod_ruta=document.form1.cod_ruta.value;
  via=document.form1.via.value;
  dir=document.form1.dir.value;
  fecha_ruta=document.form1.fecha_ruta.value;  
  testimado_ruta=document.form1.testimado_ruta.value; 
  cod_man=document.form1.cod_man.value; 
  obser=document.form1.obser.value;
  repre=document.form1.repre.value;
  respon=document.form1.respon.value;
  hora=document.form1.hora.value;
  ini=document.form1.ini.value;
  fin=document.form1.fin.value;
  //numeroingre1=parseInt(document.form1.numeroingre.value);
  
  //stock_medi=Math.round(document.form1.stock.value);
  if(document.form1.cod_man.value==""){
	  alert("No Ingreso el numero del manifiesto");
	  document.form1.cod_man.focus();
	  return; 
  }else if(document.form1.repre.value==""){
	  alert("No Ingreso el representante de Perenco");
	  document.form1.repre.focus();
	  return;
  }else if(document.form1.hora.value==""){
	  alert("No Ingreso hora de Inicio de Actividad");
	  document.form1.hora.focus();
	  return;
  }else if(document.form1.respon.value==""){
	  alert("No Ingreso el responsable del transporte");
	  document.form1.respon.focus();
	  return; 
  /*}else if(numeroingre1 < 1){
		alert("No ingreso un viaje");
		form1.origen.focus();
		return;	*/
  }else{
	  	//contar caracteres if (field.value.length > maxlimit)
		  //instanciamos el objetoAjax
		  document.form1.boton_grabar.disabled = true;
		  document.form1.boton_print.disabled = false;
		  document.form1.boton_plan.disabled = false;
		  document.form1.boton_regresa.disabled = false;	
		  document.form1.boton_agreper.disabled = true;
		  document.form1.boton_agrecar.disabled = true;
		  ajax=getXMLHTTPRequest();
		  //uso del medoto POST
		  //archivo que realizará la operacion  
		  ajax.open("POST","procesos/p_manifiesto_grabar.php",true);
		  ajax.onreadystatechange=function() {
		  if (ajax.readyState==4) {
		  //mostrar resultados en esta capa
		  divResultado.innerHTML = ajax.responseText
		  //llamar a funcion para limpiar los inputs    
		  
		  
		  }
		  }
		  ajax.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
		  //enviando los valores
		  ajax.send("cod_ruta="+cod_ruta+"&via="+via+"&dir="+dir+"&fecha_ruta="+fecha_ruta+"&testimado_ruta="+testimado_ruta+"&cod_man="+cod_man+"&obser="+obser+"&repre="+repre+"&respon="+respon+"&hora="+hora+"&ini="+ini+"&fin="+fin)
		
  }
}
//********************************************************************************************************************************************
function enviarDatosGrabarTareo(){
  //donde se mostrará lo resultados
  divResultado = document.getElementById('lugar_mensaje'); 	  	
		  ajax=getXMLHTTPRequest();
		  //uso del medoto POST
		  //archivo que realizará la operacion  
		  ajax.open("POST","procesos/p_per_tareo_grabar.php",true);
		  ajax.onreadystatechange=function() {
		  if (ajax.readyState==4) {
		  //mostrar resultados en esta capa
		  divResultado.innerHTML = ajax.responseText
		  //llamar a funcion para limpiar los inputs 		  
		  document.form1.boton_grabar.disabled = true;	
		  document.form1.boton_agreper.disabled = true;
		  }
		  }
		  ajax.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
		  //enviando los valores
		  ajax.send(null)
		
  
}
///********************************************************************************************************************************************************************
function enviarDatosEditarMan(){
  //donde se mostrará lo resultados
  divResultado = document.getElementById('lugar_mensaje');
  
  cod_ruta=document.form1.cod_ruta.value;
  via=document.form1.via.value;
  dir=document.form1.dir.value;
  fecha_ruta=document.form1.fecha_ruta.value;  
  testimado_ruta=document.form1.testimado_ruta.value; 
  cod_man=document.form1.cod_man.value; 
  obser=document.form1.obser.value;
  repre=document.form1.repre.value;
  respon=document.form1.respon.value;
  codigo_man=document.form1.codigo_man.value;
  hora=document.form1.hora.value;
  ini=document.form1.ini.value;
  fin=document.form1.fin.value;
  cerrar=document.form1.cerrar.value;
  //numeroingre1=parseInt(document.form1.numeroingre.value);
  
  //stock_medi=Math.round(document.form1.stock.value);
  if(document.form1.cod_man.value==""){
	  alert("No Ingreso el numero del manifiesto");
	  document.form1.cod_man.focus();
	  return; 
  }else if(document.form1.repre.value==""){
	  alert("No Ingreso el representante de Perenco");
	  document.form1.repre.focus();
	  return;
  }else if(document.form1.hora.value==""){
	  alert("No Ingreso la Hora de Inicio de Actividad");
	  document.form1.hora.focus();
	  return;
  }else if(document.form1.respon.value==""){
	  alert("No Ingreso el responsable del transporte");
	  document.form1.respon.focus();
	  return; 
  /*}else if(numeroingre1 < 1){
		alert("No ingreso un viaje");
		form1.origen.focus();
		return;	*/
  }else{
	  	
		  document.form1.boton_grabar.disabled = true;
		  document.form1.boton_print.disabled = false;
		  document.form1.boton_plan.disabled = false;
		  document.form1.boton_regresa.disabled = false;	
		  document.form1.boton_agreper.disabled = true;
		  document.form1.boton_agrecar.disabled = true;
		  divResultado.innerHTML= '<img src="imagen/anim.gif">';
		//contar caracteres if (field.value.length > maxlimit)
		  //instanciamos el objetoAjax
		  ajax=getXMLHTTPRequest();
		  //uso del medoto POST
		  //archivo que realizará la operacion  
		  ajax.open("POST","procesos/p_manifiesto_editar.php",true);
		  ajax.onreadystatechange=function() {
		  if (ajax.readyState==4) {
		  //mostrar resultados en esta capa
		  divResultado.innerHTML = ajax.responseText
		  //llamar a funcion para limpiar los inputs    
		   //VolverSalir();
		  
		  
			  if(document.form1.boton_delete.value){
			  document.form1.boton_delete.disabled = true;
			  }
			  if(document.form1.boton_delete1.value){
			  document.form1.boton_delete1.disabled = true;
			  }
			  if(document.form1.boton_delper.value){
			  document.form1.boton_delper.disabled = true;
			  }
			  if(document.form1.boton_delper1.value){
			  document.form1.boton_delper1.disabled = true;
			  }
			  if(document.form1.boton_delper2.value){
			  document.form1.boton_delper2.disabled = true;
			  }
			  if(document.form1.boton_delper3.value){
			  document.form1.boton_delper3.disabled = true;
			  }
		  }
		  }
		  ajax.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
		  //enviando los valores
		  ajax.send("cod_ruta="+cod_ruta+"&via="+via+"&dir="+dir+"&fecha_ruta="+fecha_ruta+"&testimado_ruta="+testimado_ruta+"&cod_man="+cod_man+"&obser="+obser+"&repre="+repre+"&respon="+respon+"&codigo_man="+codigo_man+"&hora="+hora+"&ini="+ini+"&fin="+fin+"&cerrar="+cerrar)
		
  }
}
function VolverSalir(){
  //donde se mostrará lo resultados
  var divResultadot = document.getElementById('volver_salir');
  //var cod_ruta=document.form1.cod_ruta.value;	  	
		  //instanciamos el objetoAjax
		  ajax=getXMLHTTPRequest();
		  //uso del medoto POST
		  //archivo que realizará la operacion  
		  ajax.open("POST","procesos/volver_salir.php?grabar="+1,true);
		  ajax.onreadystatechange=function() {
		  if (ajax.readyState==4) {
		  //mostrar resultados en esta capa
		  divResultadot.innerHTML = ajax.responseText		    		  
		  }
		  }
		  ajax.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
		  //enviando los valores
		  ajax.send(null)  
}
///********************************************************************************************************************************************************************
function Focus(elemento, valor) {
	$(elemento).className = 'inputon';	
	last = valor;
}
function Blur(elemento, valor, campo, id, param, ver, via, clave1) {
  //donde se mostrará lo resultados
  
  
  divResultado = document.getElementById('totalpeso');  
  /*if(campo=='fechaini_tp' || campo=='fechafin_tp'){
  	if(Validar(valor)==false){ 
	return;
	}else if(Validar(valor)==true){*/
	 ajax=getXMLHTTPRequest();
		  //uso del medoto POST
		  //archivo que realizará la operacion 
		  $(elemento).className = 'inputoff';	
		  if (last != valor){
		  ajax.open("POST","procesos/p_manifiesto_det_eg.php",true);
		  }
		  ajax.onreadystatechange=function() {
		  if (ajax.readyState==4) {
		  //mostrar resultados en esta capa
		  divResultado.innerHTML = ajax.responseText
		  divResultado.style.display="block";
		  AgregarResultEditPer();
		  //llamar a funcion para limpiar los inputs		  
		  }
		  }
		  
		  ajax.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
		  //enviando los valores
		  ajax.send('valor='+valor+'&campo='+campo+'&id='+id+'&param='+param+'&ver='+ver+'&via='+via+'&clave1='+clave1)
	/*}
  }*/
  
    
}
//******************************************************************************************************************************************************************
///********************************************************************************************************************************************************************
function Focus1(elemento, valor) {
	$(elemento).className = 'inputon';	
	last = valor;
}
function Blur1(elemento, valor, campo, id, param, ver, via, clave1) {
  //donde se mostrará lo resultados
  
  
  divResultado = document.getElementById('totalpeso');  
  /*if(campo=='fechaini_tp' || campo=='fechafin_tp'){
  	if(Validar(valor)==false){ 
	return;
	}else if(Validar(valor)==true){*/
	 ajax=getXMLHTTPRequest();
		  //uso del medoto POST
		  //archivo que realizará la operacion 
		  $(elemento).className = 'inputoff';	
		  if (last != valor){
		  ajax.open("POST","procesos/p_manifiesto_car_det_eg.php",true);
		  }
		  ajax.onreadystatechange=function() {
		  if (ajax.readyState==4) {
		  //mostrar resultados en esta capa
		  divResultado.innerHTML = ajax.responseText
		  divResultado.style.display="block";
		  AgregarResultEditCar();
		  //llamar a funcion para limpiar los inputs		  
		  }
		  }
		  
		  ajax.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
		  //enviando los valores
		  ajax.send('valor='+valor+'&campo='+campo+'&id='+id+'&param='+param+'&ver='+ver+'&via='+via+'&clave1='+clave1)
	/*}
  }*/
  
    
}
//********************************************************************************************************
